RunningForNoReason
Posts: 17
Joined: Sat Aug 17, 2013 9:08 pm

RPI-Update issue

Thu Mar 20, 2014 8:16 am

The following error started to appear today using rpi-update:

GnuTLS: A TLS warning alert has been received.
Unable to establish SSL connection.
!!! Failed to download update for rpi-update!
!!! Make sure you have ca-certificates installed and that the time is set correctly

I did a :
update-ca-certificates

No luck any ideas?

SkyRise
Posts: 179
Joined: Tue Jan 24, 2012 1:20 pm

Re: RPI-Update issue

Thu Mar 20, 2014 8:43 am

Have you tried:

Code: Select all

sudo apt-get install ca-certificates
Not sure why they wouldn't have been installed as standard, but worth a try.

RunningForNoReason
Posts: 17
Joined: Sat Aug 17, 2013 9:08 pm

Re: RPI-Update issue

Thu Mar 20, 2014 8:50 am

The certificates are installed and I performed an update which did not resolve the error

User avatar
joan
Posts: 14203
Joined: Thu Jul 05, 2012 5:09 pm
Location: UK

Re: RPI-Update issue

Thu Mar 20, 2014 8:57 am

Check that your Pi's date and time is correct.

RunningForNoReason
Posts: 17
Joined: Sat Aug 17, 2013 9:08 pm

Re: RPI-Update issue

Thu Mar 20, 2014 9:05 am

Date and time is correct, used it without issue till today

Nefarious1
Posts: 4
Joined: Thu Mar 06, 2014 6:50 am

Re: RPI-Update issue

Thu Mar 20, 2014 9:13 am

I am getting the same error as well, so likely an issue on rpi's side. Just try again later.

ortega
Posts: 4
Joined: Sat Oct 19, 2013 6:48 am

Re: RPI-Update issue

Thu Mar 20, 2014 9:28 am

Same issue for me. It worked fine yesterday evening.
Already installed ca-certificates and the other suggested "commands" to solve this issue, but nothing is working.

User avatar
fruizalonso
Posts: 1
Joined: Thu Mar 20, 2014 10:55 am
Location: Spain

Re: RPI-Update issue

Thu Mar 20, 2014 11:12 am

I have now the same problem as Ortega. Last night rpi-update works. Now, TLS warning.
Github's issues maybe?

sharix
Posts: 200
Joined: Thu Feb 16, 2012 11:29 am
Location: Slovenia

Re: RPI-Update issue

Thu Mar 20, 2014 12:21 pm

Same here, certificates and time are set up correctly.

MrEngman
Posts: 3844
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: RPI-Update issue

Thu Mar 20, 2014 1:52 pm

And same here as well. certificates and time are correct.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

bullrider
Posts: 3
Joined: Thu Mar 20, 2014 2:58 pm

Re: RPI-Update issue

Thu Mar 20, 2014 3:00 pm

this fixed the issue for me.

sudo apt-get install libgnutls28 libgnutlsxx28 libgnutls-dev gnutls-dev

cheers

sharix
Posts: 200
Joined: Thu Feb 16, 2012 11:29 am
Location: Slovenia

Re: RPI-Update issue

Thu Mar 20, 2014 3:30 pm

bullrider wrote:this fixed the issue for me.

sudo apt-get install libgnutls28 libgnutlsxx28 libgnutls-dev gnutls-dev

cheers
I get errors:

Code: Select all

E: Unable to locate package libgnutls28
E: Unable to locate package libgnutlsxx28

Code: Select all

sudo apt-get update; apt-cache search libgnutls
libgnutls-dev - GNU TLS library - development files
libgnutls-openssl27 - GNU TLS library - OpenSSL wrapper
libgnutls26 - GNU TLS library - runtime library
libgnutls26-dbg - GNU TLS library - debugger symbols
libgnutlsxx27 - GNU TLS library - C++ runtime library
python-gnutls - Python wrapper for the GNUTLS library

bullrider
Posts: 3
Joined: Thu Mar 20, 2014 2:58 pm

Re: RPI-Update issue

Thu Mar 20, 2014 3:35 pm

my /etc/apt/sources.list

Code: Select all

deb http://mirror.netcologne.de/raspbian/raspbian/ wheezy main contrib non-free rpi firmware
deb-src http://mirror.netcologne.de/raspbian/raspbian/ wheezy main contrib non-free rpi firmware

make sure you have all
main contrib non-free rpi firmware

do a apt-get update and try again, good luck!


OR replace 28 with 26

libgnutls26 ..... libgnutlsxx26

MrEngman
Posts: 3844
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: RPI-Update issue

Thu Mar 20, 2014 3:38 pm

bullrider wrote:this fixed the issue for me.

sudo apt-get install libgnutls28 libgnutlsxx28 libgnutls-dev gnutls-dev

cheers
Didn't help me. I got

Code: Select all

[email protected] $ sudo apt-get install libgnutls28 libgnutlsxx28 libgnutls-dev gnutls-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package gnutls-dev is a virtual package provided by:
  libgnutls28-dev 3.0.20-3
  libgnutls-dev 2.12.20-8+deb7u1
You should explicitly select one to install.

E: Package 'gnutls-dev' has no installation candidate
MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

ortega
Posts: 4
Joined: Sat Oct 19, 2013 6:48 am

Re: RPI-Update issue

Thu Mar 20, 2014 3:39 pm

I've got this message:

Code: Select all

Package gnutls-dev is a virtual package provided by:
  libgnutls28-dev 3.0.20-3
  libgnutls-dev 2.12.20-8+deb7u1
You should explicitly select one to install.
I have tried to install both of them but for me the rpi-update problem is still there.

ortega
Posts: 4
Joined: Sat Oct 19, 2013 6:48 am

Re: RPI-Update issue

Thu Mar 20, 2014 3:59 pm

bullrider wrote:my /etc/apt/sources.list

Code: Select all

deb http://mirror.netcologne.de/raspbian/raspbian/ wheezy main contrib non-free rpi firmware
deb-src http://mirror.netcologne.de/raspbian/raspbian/ wheezy main contrib non-free rpi firmware

make sure you have all
main contrib non-free rpi firmware

do a apt-get update and try again, good luck!


OR replace 28 with 26

libgnutls26 ..... libgnutlsxx26
Thanks for your support, but unfortunately for me is not working, I have update the sources like you said, and tested to change 28 to 26 (and combinations... 26 28, 28 26 :D ) but still the error. Thanks again.

Nefarious1
Posts: 4
Joined: Thu Mar 06, 2014 6:50 am

Re: RPI-Update issue

Thu Mar 20, 2014 5:20 pm

bullrider wrote:this fixed the issue for me.

sudo apt-get install libgnutls28 libgnutlsxx28 libgnutls-dev gnutls-dev

cheers
I tried this and no luck. Thanks for offering it though.

bullrider
Posts: 3
Joined: Thu Mar 20, 2014 2:58 pm

Re: RPI-Update issue

Thu Mar 20, 2014 5:43 pm

have you installed libgnutls26 then ? are you on wheezy? maybe switch to anther mirror in sources.list

Code: Select all

$ lsb_release -a;uname -a;apt-cache search libgnutls
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 7.2 (wheezy)
Release:        7.2
Codename:       wheezy
Linux raspberrypi 3.10.33+ #658 PREEMPT Tue Mar 18 17:35:55 GMT 2014 armv6l GNU/Linux
libgnutls-dev - GNU TLS library - development files
libgnutls-openssl27 - GNU TLS library - OpenSSL wrapper
libgnutls26 - GNU TLS library - runtime library
libgnutls26-dbg - GNU TLS library - debugger symbols
libgnutls28 - GNU TLS library - main runtime library
libgnutls28-dbg - GNU TLS library - debugger symbols
libgnutls28-dev - GNU TLS library - development files
libgnutlsxx27 - GNU TLS library - C++ runtime library
libgnutlsxx28 - GNU TLS library - C++ runtime library
python-gnutls - Python wrapper for the GNUTLS library

User avatar
g7ruh
Posts: 67
Joined: Mon Apr 23, 2012 9:49 am
Location: Blackfield UK

Re: RPI-Update issue

Thu Mar 20, 2014 5:59 pm

Two PIs here, one with latest firmware, one with 14th Feb firmware: both refuse to let rpi-update complete and stop with "GnuTLS: A TLS warning alert has been received."
All worked fine yesterday on the one with the latest update.
not changed ca-certificates and date / time correct on both.
Strange unless a certificate has expired?

MrEngman
Posts: 3844
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: RPI-Update issue

Thu Mar 20, 2014 6:18 pm

Just tried with raspbian 3.10.25+, 2013-12-20-wheezy-raspbian, and rpi-update appears to work although I interrupted it before it started downloading files.

Code: Select all

[email protected] ~ $ sudo rpi-update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS
 *** Performing self-update
--2014-03-20 18:04:30--  https://github.com/Hexxeh/rpi-update/raw/master/rpi-update
Resolving github.com (github.com)... 192.30.252.128
Connecting to github.com (github.com)|192.30.252.128|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://raw.githubusercontent.com/Hexxeh/rpi-update/master/rpi-update [following]
--2014-03-20 18:04:37--  https://raw.githubusercontent.com/Hexxeh/rpi-update/master/rpi-update
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 185.31.18.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|185.31.18.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 7174 (7.0K) [text/plain]
Saving to: `/usr/bin/rpi-update.tmp'

100%[==============================================================================================>] 7,174       --.-K/s   in 0.04s

2014-03-20 18:04:43 (157 KB/s) - `/usr/bin/rpi-update.tmp' saved [7174/7174]

 *** Relaunching after update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS
 *** ARM/GPU split is now defined in /boot/config.txt using the gpu_mem option!
 *** We're running for the first time
 *** Setting up firmware (this may take a few minutes)
Cloning into '//root/.rpi-firmware'...
Connects to same IP as the failing version which is raspbian 3.10.33+ #658 Mar 18. but doesn't even get to download update for rpi-update

Code: Select all

[email protected] /mnt/home/pi $ sudo rpi-update
 *** Raspberry Pi firmware updater by Hexxeh, enhanced by AndrewS
 *** Performing self-update
--2014-03-20 18:03:12--  https://github.com/Hexxeh/rpi-update/raw/master/rpi-update
Resolving github.com (github.com)... 192.30.252.131
Connecting to github.com (github.com)|192.30.252.131|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://raw.githubusercontent.com/Hexxeh/rpi-update/master/rpi-update [following]
--2014-03-20 18:03:17--  https://raw.githubusercontent.com/Hexxeh/rpi-update/master/rpi-update
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 185.31.18.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|185.31.18.133|:443... connected.
GnuTLS: A TLS warning alert has been received.
Unable to establish SSL connection.
 !!! Failed to download update for rpi-update!
 !!! Make sure you have ca-certificates installed and that the time is set correctly
ca-certificates are up to date and time is right.

Tried bullrider's suggestions which gave various problems with package names and still no joy.

MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

caldimerda
Posts: 67
Joined: Tue Oct 09, 2012 9:41 am

Re: RPI-Update issue

Thu Mar 20, 2014 6:21 pm

Really hope someone can get to grips with this. Something has changed :?

rpi-update fails for me on the more recent builds. I also have one that's in need of an update:

Linux ron04 3.6.11+ #368 PREEMPT Sun Feb 3 18:35:57 GMT 2013 armv6l GNU/Linux

And the self-update wget works on that - into the temp file - although I'm not actually actioning the update because I liike having an old, working raspi for this very reason!

I also see theregister ran a recent story on a bug in GnuTLS: http://www.theregister.co.uk/2014/03/05 ... patch_now/

Thicko_1970
Posts: 24
Joined: Thu Jan 03, 2013 12:32 am
Location: Hawick

Re: RPI-Update issue

Thu Mar 20, 2014 6:50 pm

Damn. I can't rpi-update, on any of my RPi. I've been looking forward to trying out the new camera modes, while away on holiday, but I guess I will have to just try again tomorrow and throw a baby tantrum, if I can't get it.

Code: Select all

GnuTLS: A TLS warning alert has been received.
Unable to establish SSL connection.
 !!! Failed to download update for rpi-update!
 !!! Make sure you have ca-certificates installed and that the time is set correctly
[email protected]

MrEngman
Posts: 3844
Joined: Fri Feb 03, 2012 2:17 pm
Location: Southampton, UK

Re: RPI-Update issue

Thu Mar 20, 2014 7:35 pm

I have just run rpi-update on a pi with raspbian 3.10.25+ #622 loaded via NOOBS

It now shows 3.10.33+ #658. I then ran rpi-update again and there was NO problem and it reported firmware was up to date. I deleted file /boot/.firmware_revision to allow rpi-update to run completely again and rpi-update ran OK and reinstalled the firmware without problems.

So I now have 2 cards with raspbian 3.10.33+ #658 installed. rpi-update works ok on one, the one originally installed via NOOBS, and a second card which was installed from rasbian image 2014-01-07-wheezy-raspbian and updated using rpi-update and now rpi-update does NOT work. I had also run apt-get update and upgrade on the second card, but not the first, so just going to try apt-get on the first card to see if that makes any difference.

OK ran apt-get update and apt-get upgrade on the card that still works and now rpi-update FAILS to run. apt-get update installed 20 new files so I presume one of them has screwed things up. Really, really helpful.


MrEngman
Simplicity is a prerequisite for reliability. Edsger W. Dijkstra

Please post ALL technical questions on the forum. Please Do Not send private messages.

ThomasS
Posts: 118
Joined: Thu Jan 23, 2014 7:05 pm
Location: Leeds
Contact: Website

Re: RPI-Update issue

Thu Mar 20, 2014 9:11 pm

Same problem. I have tried the posted solutions. Any advice? :(
ThomasS

caldimerda
Posts: 67
Joined: Tue Oct 09, 2012 9:41 am

Re: RPI-Update issue

Thu Mar 20, 2014 9:33 pm

If you're up for editing /usr/bin/rpi-update, then copy it to /home/pi and remove the "update_self" function. That function creates a "rpi-update.tmp" file containing the downloaded copy of itself - so I also copied /usr/bin/rpi-update to /home/pi/rpi-update.tmp.
Then you have the script and the .tmp copy in /home/pi. Make it executable and run it. The rest of the script runs just fine.
Caveat emptor - and good luck. I just tried it - don't think I did anything else!

Incidentally it appears the error causing rpi-update to fail is intermittent but will recur until wget is updated to a newer version.

Return to “Troubleshooting”